lkml.org 
[lkml]   [2017]   [Jul]   [7]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [git pull] vfs.git part 3
On Fri, Jul 07, 2017 at 12:27:49AM +0100, Al Viro wrote:
> On Thu, Jul 06, 2017 at 11:44:49PM +0200, Christoph Hellwig wrote:
> > > Which sparse version are you using and what's your .config?
> >
> > sparse is v0.5.0-62-gce18a90, .config is attached.
>
> Arrgh... OK, I see what's going on. sparse commit affecting that
> is "Allow casting to a restricted type if !restricted_value"; it
> allows the things like (__le32)0. It's present in sparse.git,
> but not in chrisl/sparse.git, which is what you are using.

So what's the current story on sparse versions to use and releases?

At some point it seemed like upstream sparse was sort of dead
and the chrisl repo was the one to use. It seems the main sparse
repo on git.kernel.org is now identical to the chrisl one, and he
is doing the releases. So maybe I'll just need to upgrade..

\
 
 \ /
  Last update: 2017-07-07 16:02    [W:0.088 / U:1.052 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site